Bug 972616 - Invalid key combinations introduces preedit commit
Summary: Invalid key combinations introduces preedit commit
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libkkc (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 08:36 UTC by Akira TAGOH
Modified: 2013-06-29 18:36 UTC (History)
2 users (show)

Fixed In Version: ibus-kkc-1.5.14-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 18:36:32 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Akira TAGOH 2013-06-10 08:36:07 UTC
Description of problem:
In kana typing mode, the preedit string is unexpectedly committed into the text when typing unexpected (in libkcc) key combinations.

Version-Release number of selected component (if applicable):
libkkc-0.2.3-1.fc19.x86_64
ibus-kkc-1.5.13-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1.type something
2.press shift+1 and so on which isn't expected to put a valid hiragana in rules
3.

Actual results:
preedit string is committed

Expected results:
should be kept

Additional info:
In mozc say, if shift + something is not expected combination, it just follows the primary sequence like:

shift + 1: ぬ
shift + 2: ふ

Comment 1 Daiki Ueno 2013-06-10 08:45:12 UTC
(In reply to Akira TAGOH from comment #0)
> Description of problem:
> In kana typing mode, the preedit string is unexpectedly committed into the
> text when typing unexpected (in libkcc) key combinations.

I think this is the same issue as:

http://du-a.org/pipermail/libkkc-list/2013-May/000004.html

which should be fixed with libkkc 0.2.4-1 and ibus-kkc 1.5.14-1 in updates-testing:

https://admin.fedoraproject.org/updates/ibus-kkc-1.5.14-1.fc19,libkkc-0.2.4-1.fc19

> Additional info:
> In mozc say, if shift + something is not expected combination, it just
> follows the primary sequence like:
> 
> shift + 1: ぬ
> shift + 2: ふ

Thanks for the info.  It might be good to do the same.

Comment 2 Fedora Update System 2013-06-20 02:23:22 UTC
ibus-kkc-1.5.14-1.fc19, libkkc-0.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-10473/ibus-kkc-1.5.14-1.fc19,libkkc-0.2.4-1.fc19

Comment 3 Fedora Update System 2013-06-29 18:36:32 UTC
ibus-kkc-1.5.14-1.fc19, libkkc-0.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.